# BEGIN SourceDeps(oneline):
BuildRequires: libssl-devel libicu-devel libsowing-devel perl(APR/Table.pm) perl(Array/Diff.pm) perl(DBI.pm) perl(DBI/DBD.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTTP/Tiny.pm) perl(Shell.pm) perl(Test/Builder.pm) perl(Test/More.pm) perl(Tie/Hash.pm) tcl-devel
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name DBD-SQLcipher
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators
BuildRequires: libsqlite3-devel

Name: perl-%module_name
Version: 0.02
Release: alt6
Summary: Self Contained SQLcipher RDBMS in a DBI Driver
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TG/TGASIBA/%{module_name}-%{module_version}.tgz

%description
From summary: %summary

%prep
%setup -q -n %{module_name}
[ %version = 0.02 ] && rm t/virtual_table/rt_99748.t

# from DBD-SQLite
# remove sqlite sources
rm sqlite3*.[ch] fts3_tokenizer.h

# disable upgrade check
sed -i- 's/require DBD::SQLite/die/' Makefile.PL

# broken test?
rm -f t/virtual_table/11_filecontent_fulltext.t

# hack
rm -f t/43_fts3.t

%build
%perl_vendor_build LIBS="-lsqlite3 -lssl"

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_archlib/D*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.02-alt6
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.02-alt5
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.02-alt4.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.02-alt3.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.02-alt3
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.02-alt2
- rebuild to get rid of unmets

* Sat Dec 31 2016 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

